:root{
    --color-primary: #2E2E2E;
    --color-secondary: #949494;
    --color-tertiary: #e0e0e0;
    --color-off-white: #f9f9f9;

    scrollbar-gutter: stable;
}

/* Typography */

@font-face {
    font-family: 'Feature Display';
    src: url('./fonts/FeatureDisplay-Regular-Web.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

*,
*::before,
*::after{
    box-sizing: border-box;
}

html{
    -webkit-text-size-adjust: 100%;
}

body{
    margin: 0;
    padding: 0;
    background-color: #f9f9f9;
    position: relative;

    font-family: 'IBM Plex Sans', sans-serif;
    font-weight: 400 !important;
    color: var(--color-primary);
    line-height: 1.5;

    display: flex;
    flex-direction: column;

    transition: opacity 1.5s; /* nur das animieren, was gebraucht wird */
    opacity: 1;
}

body.no-scroll { 
    overflow: hidden; 
}

.opacity{
    opacity: 0 !important;
}

.visible{
    display: block !important;    
}

ul, li {
    margin: 0;
    padding: 0;
    list-style: none;
}

a {
    color: inherit;
    text-decoration: none;
    cursor: pointer;   
    transition: opacity .3s, filter .3s;     
    -webkit-tap-highlight-color: transparent;
}

.caps{
    text-transform: uppercase;
}

a:visited {
    color: inherit;         
}

a:active {
    color: inherit;
    text-decoration: none;
    filter: brightness(50%);
    opacity: 0.5;
}

a:focus {
    outline: none;          
}

a:focus-visible{
    outline: 2px solid currentColor;
    outline-offset: 2px;
}

button {
    all: unset;
    display: inline-block;
    cursor: pointer;

    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 0.04em;

    text-align: center;

    position: relative;
    overflow: visible;
    transition: opacity 0.3s ease;

    -webkit-appearance: none;
       -moz-appearance: none;
            appearance: none;
    -webkit-tap-highlight-color: transparent;
}

button:active{
    opacity: 0.5;
}

.button-with-text{
    width: 72px;
    padding: 8px 14px; 
    border-radius: 999px; 
}

.button-bar{
    width: auto;
    height: auto;

    display: flex;
    justify-content: center;

    gap: 8px; 
}

.button-circle{
    position: fixed;
    width: 36px;
    height: 36px;
    border-radius: 50%;

    text-decoration: none;
    cursor: pointer;
}

.secondary{
    color: var(--color-secondary) !important;
}

h1, h2, h3, .menu-links > li {
    font-family: 'Feature Display', serif;
    font-weight: 400 !important;
    margin: 0;
    line-height: 1.25;
}

.project-text > h2{
    color: var(--color-secondary);
    text-align: center;
}

h3 > span {
    display: block;
}

.body-imprint{
    height: auto;
    min-height: 100vh !important;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.main-imprint{
    flex: 1;
}

.header-imprint{
    height: auto;
}

.headline-imprint{
    text-align: center;
    justify-content: center;
    padding-top: 36px;
}

.section-imprint{
    text-align: center !important;
    display: flex;
    flex-direction: column;
    justify-content: start;
    flex: 1;
}

.section-imprint > p {
    flex: 0;
}

.footer-imprint{
    justify-self: flex-end !important;
}

/* Layout */

main{
    display: flex;
    flex-direction: column;
    /* align-items: center; */
}

section, header, footer{
    padding: 16px;
}

header{
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
}

.header-links{
    height: 38px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.headline {
    display: flex;
    place-items: center;
    text-align: center;
    height: 100%;
    padding-bottom: 36px;
}

footer{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    color: var(--color-secondary);
    position: relative;
    text-align: center;
}

.footer > *{
    color: var(--color-secondary) !important;
}

.next{
    text-align: right;
}

/* Menu */

.menu{
    width: 100vw;
    height: 100vh;
    scrollbar-gutter: stable;
}

.menu-open{
    display: inline-block; 
    background-color: var(--color-primary);
}

.menu-transition-in{
    animation: menuTransitionIn 1s forwards;
}

.menu-background, .outro-background{
    position: fixed;
    border-radius: 50%;
    transition: 1s;
}

.menu-background{
    background-color: var(--color-primary);
}

.outro-background{
    background-color: var(--color-off-white);
}

.menu-content{
    width: 100vw;
    height: 100vh;
    position: absolute;

    display: none;
    transition: opacity 1s;
    opacity: 1;
}

.menu-links {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 16px;

    position: absolute;
    top: 50svh;
    left: 50svw;
    transform: translate(-50%, -50%);
}

.menu-links > li {
    text-align: center;
    color: var(--color-off-white);
}

.menu-close{
    position: fixed;
    width: 36px;
    height: 36px;

    background-color: var(--color-off-white);
    border-radius: 50%;

    display: none;
}

/* Contact */

.contact{
    background-color:#E8E8E8;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.contact-text,
.contact-img {
    grid-column: auto;
}

.contact-logo{
    width:100%; 
    padding-bottom: 24px;
}

.contact-img img {
    width: 100%;
    aspect-ratio: 1 / 1; /* quadratisch */
    object-fit: cover;
    border-radius: 16px;
}

.contact-footer{
    justify-content: space-between;
}

/* Teaser */

.teaser-wrapper{
    display: flex;
    flex-direction: column;
    gap: 64px;
    justify-content: start;
}

.teaser {
    display: flex;
    flex-direction: column;

    gap: 24px;
    text-decoration: none;
    color: inherit;

    max-height: 100% !important;   
    overflow: visible;
}

.teaser-visual {
    position: relative;
    border-radius: 24px;
    overflow: visible;
}

.teaser-visual video,
.teaser-visual img {
    display: block;
    width: 100%;           
    height: auto;
    border-radius: 24px;
    position: relative;      
    box-shadow: 0 0 16px 0 rgba(0, 0, 0, 0.17), 0 0 36px 0 rgba(0, 0, 0, 0.10);
        object-fit: cover !important;

}

/* Gallery */

.gallery-wrapper{
    padding-top: 0 !important;
}

.gallery{
    display: flex !important;
    flex-direction: column;
    align-items: center;
    gap: 48px;
}

.ui-toggle{
    position: sticky; 
    display: flex; 
    top: 0; 
    z-index: 9999;
}

.ui-toggle .tab{
    appearance: none;
    -webkit-appearance: none;
       -moz-appearance: none;

    width: 72px;
    padding: 8px 14px; 
    border-radius: 999px; 

    background: rgba(255, 255, 255, 0.50);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    border: solid 1px var(--color-primary) !important;
    color: var(--color-primary);

    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 0.04em;
    text-align: center;

    cursor: pointer; 
}

.ui-toggle .tab.active{ 
    background: var(--color-primary) !important; 
    border: solid 1px var(--color-primary) !important;
    color: var(--color-off-white) !important; 
}


/* Project */

.project-data{
    gap: 0px !important;
    height: auto;
}

li{
    width: 100%;
    display: flex;
    flex-direction: row;
    color: var(--color-primary);
    text-align: center;
    justify-content: center;
}

li > span{
    color: var(--color-secondary) !important;
    text-transform: uppercase !important;
}

.project-text-wrapper{
    display: flex;
    align-items: center;
    flex-direction: column;
}

.project-text{
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-bottom: 24px;
}

.project-credits{
    width: 100%;
}

.project-credits li {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.description{
    margin-bottom: 48px;
}

/* Lightbox */

.visual {
    position: relative; 
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: visible;
    /* width: 100%;  */
}

.visual > img,
.visual > video {
    display: block; 
    object-fit: cover !important;
    width: auto;
    height: auto;
    box-shadow: 0 0 16px 0 rgba(0,0,0,.17),
                0 0 36px 0 rgba(0,0,0,.10);
    will-change: box-shadow;
}

.visual > .button-bar > button{
    color: var(--color-primary);
    border: solid 1px var(--color-primary) !important;
    background: transparent;
    padding: 8px 14px; 
    border-radius: 999px; 
    cursor: pointer; 
    text-align: center;
}

.lightbox {
    position: fixed;
    inset: 0;

    display: flex;
    flex-direction: column;
    justify-content: center;
    place-items: center;

    background: rgba(0,0,0,0.5);
    backdrop-filter: blur(24px);
    -webkit-backdrop-filter: blur(24px);
    z-index: 99999999;

    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    transition: opacity 800ms ease;
}

.lightbox.opacity { 
    opacity: 0; 
    visibility: hidden; 
    pointer-events:none; 
}

.lightbox-open .menu-button { 
    pointer-events: none; 
}

.lightbox.open { 
    display: flex;
    flex-direction: column;
    justify-content: center;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.lightbox .lb-image {
    object-fit: contain;
    border-radius: 16px;
    user-select: none;

    transition: opacity 800ms ease-in-out;
    opacity: 1;  
}

.lightbox .lb-image.fading {
  opacity: 0;
}

.lightbox .lb-close {
    position: absolute;
    width: 36px; 
    height: 36px;
    padding: 0 !important;

    border-radius: 50%;

    display: flex;
    align-items: center;
    justify-content: center;

    cursor: pointer;
    background: transparent;
    border: solid 1px var(--color-off-white) !important;
    color: var(--color-off-white);
}

.lightbox .button-with-text {
    background: transparent;
    color: var(--color-off-white);
    border: solid 1px var(--color-off-white) !important;
    cursor: pointer; 
}

.lightbox .button-with-text:disabled { 
    opacity: 0.4; 
    cursor: default; 
}


/* Layz loading */

.lazy {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
    will-change: opacity, transform;
}

.lazy.loaded {
    opacity: 1;
    transform: translateY(0);
}

/* Menu */

.menu{
    position: fixed !important;
    inset: 0 !important;
    z-index: 99999999 !important;
    isolation: isolate !important;
    pointer-events: none;
}

.menu-open,
.menu-close,
.menu-content,
.menu-background{
    pointer-events: auto;
}

.menu-background{ z-index: 0 !important; }
.menu-open      { z-index: 1 !important; }
.menu-content   { z-index: 2 !important; }
.menu-close     { z-index: 3 !important; }
.outro-background{ z-index: 4 !important; }

body, footer, .teaser, .lazy{
    z-index: auto !important;
}

html, body{
    transform: none !important;
    filter: none !important;
    position: static !important;
    z-index: auto !important;
}

@media (prefers-reduced-motion: reduce){
  *{
    animation: none !important;
    transition: none !important;
    scroll-behavior: auto !important;
  }
}